Bug 16717 - CS4236B sound card config fails (midi)
CS4236B sound card config fails (midi)
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-08-22 06:10 EDT by Michael Redinger
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-03 16:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pnpdump before sndconfig (7.02 KB, text/plain)
2000-08-22 17:20 EDT, Michael Redinger
no flags Details
pnpdump after sndconfig execution (7.07 KB, text/plain)
2000-08-22 17:20 EDT, Michael Redinger
no flags Details

  None (edit)
Description Michael Redinger 2000-08-22 06:10:05 EDT
Using the CS4236B sound chip (Dell OptiPlex GX1), the sound and midi
examples are played correctly, but on exit the following error message is

cs4232: set synthio and synthirq to use the wavefront facilities
uart401: Failed to allocate IRQ5

(cat /proc/interrups says:
	5:	85	XT PIC	Crystal audio controller

On system restart the following error message is displayed:

Loading midi module (opl3): Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
/lib/modules/2.2.16/21.4/misc/opl3.o: init_module: Device or resource busy
/lib/modules/2.2.16/21.4/misc/opl3.o: insmod
/lib/modules/2.2.16/21.4/misc/opl3.o failed.
/lib/modules/2.2.16/21.4/misc/opl3.o: insmod opl3 failed
Comment 1 Bill Nottingham 2000-08-22 12:00:25 EDT
Is it a PnP card, or does it have fixed addresses?
Comment 2 Michael Redinger 2000-08-22 13:24:34 EDT
The card is onboard, the computer is one of the latest Dell machines (1 year
old), therefore I think it definitely doesn't use fixed addresses.
Comment 3 Bill Nottingham 2000-08-22 15:40:22 EDT
What does pnpdump say?
Comment 4 Michael Redinger 2000-08-22 17:20:01 EDT
Created attachment 2838 [details]
pnpdump before sndconfig
Comment 5 Michael Redinger 2000-08-22 17:20:40 EDT
Created attachment 2839 [details]
pnpdump after sndconfig execution
Comment 6 Michael Redinger 2000-08-22 17:22:10 EDT
Additional notes for the above attachments: this was a CD-ROM server install
(with all the packages necessary for sndconfig installed afterwards). After
sndconfig, the system was not restarted. Could do this if necessary.
Comment 7 Bill Nottingham 2001-02-12 18:02:39 EST
Eek, I've been really awful about this. The odd thing is that according
to those dumps, it didn't change the isapnp.conf at all. Does this
persist with the current sndconfig (it hasn't changed much in this
Comment 8 Bill Nottingham 2002-09-05 03:10:21 EDT
closing, lack of response. Moreover, in current releases this is handled by the
kernel PnP code.

Note You need to log in before you can comment on or make changes to this bug.